package Client;

import java.io.*;
import java.net.ConnectException;
import java.net.Socket;

/**
 * Created by admin on 28.03.15.
 */

public class Client {
    public Client(){
        try {
            Socket socket = new Socket("localhost",45000);
            System.out.println("Connected to 45000");
            connect(socket);
        } catch(ConnectException e1){
            System.err.println("Server not found.");
        }catch (IOException e) {
            e.printStackTrace();
        }
    }

    public void connect(Socket socket){
        Socket currentSocket = socket;
        while(currentSocket.getPort()!=46000){
            InputStream inputStream = null;
            DataInputStream dataInputStream = null;
            try {
                inputStream = currentSocket.getInputStream();
                dataInputStream = new DataInputStream(inputStream);

                int nextPort = dataInputStream.readInt();
                System.out.println("Switching on "+ nextPort);
                currentSocket = new Socket("localhost", nextPort);
            } catch (IOException e) {
                e.printStackTrace();
            } finally {
                if(inputStream!=null){
                    try {
                        inputStream.close();
                    } catch (IOException e) {
                        e.printStackTrace();
                    }
                }
            }
        }

        InputStream inputStream = null;
        BufferedReader reader = null;
        try {
            inputStream = currentSocket.getInputStream();
            reader = new BufferedReader(new InputStreamReader(inputStream));
            String line;
            while((line=reader.readLine())!=null){
                System.out.println(line);
            }
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            if(inputStream!=null){
                try {
                    inputStream.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
        }
    }
}
