package Server;

import java.io.*;
import java.net.ServerSocket;
import java.net.Socket;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Created by admin on 28.03.15.
 */

public class Server {
    public Server(){
        try {
            ServerSocket server = new ServerSocket(45000);
            Socket socket = server.accept();
            System.out.println("Connected on 45000.");
            knockPort(socket);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public void knockPort(Socket socket){
        Socket currentSocket = socket;
        System.out.println("Wait. Knocking...");
        int currentPort = 45000;
        int times = (int)(Math.random()*50+10);
        if(times >50) {
            times = 50;
        }

        for (int i = 0; i < times; i++) {
            OutputStream outputStream = null;
            DataOutputStream dataOutputStream = null;
            try {
                outputStream = currentSocket.getOutputStream();
                dataOutputStream = new DataOutputStream(outputStream);
                if(i==times-1){
                    currentPort = 46000;
                    dataOutputStream.writeInt(currentPort);
                    outputStream.close();
                    currentSocket.close();
                    break;
                }else{
                    currentPort = (int)(Math.random()*1000+45000);
                }
                dataOutputStream.writeInt(currentPort);
                outputStream.close();
                currentSocket.close();
                ServerSocket server = new ServerSocket(currentPort);
                currentSocket = server.accept();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        OutputStream outputStream = null;
        PrintWriter pw = null;
        try {
            ServerSocket server = new ServerSocket(46000);
            Socket finalSocket = server.accept();
            outputStream = finalSocket.getOutputStream();
            pw = new PrintWriter(new OutputStreamWriter(outputStream),true);
            Date currentDate = new Date();
            SimpleDateFormat dateFormat = new SimpleDateFormat("YYYY:MM:DD HH:mm:SS");
            pw.println("Hello "+dateFormat.format(currentDate));
            System.out.println("Connected on 46000.");
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            if(outputStream!=null){
                try {
                    outputStream.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
        }
    }
}
